org.apache.cassandra.db.index.composites

## Class CompositesIndexOnCollectionKey

- java.lang.Object
- - org.apache.cassandra.db.index.SecondaryIndex
  - - org.apache.cassandra.db.index.PerColumnSecondaryIndex
    - - org.apache.cassandra.db.index.AbstractSimplePerColumnSecondaryIndex
      - - org.apache.cassandra.db.index.composites.CompositesIndex
        - - org.apache.cassandra.db.index.composites.CompositesIndexIncludingCollectionKey
          - - org.apache.cassandra.db.index.composites.CompositesIndexOnCollectionKey

    public class CompositesIndexOnCollectionKey
    extends CompositesIndexIncludingCollectionKey

Index on the collection element of the cell name of a collection. The row keys for this index are given by the collection element for indexed columns.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.db.index.composites.CompositesIndex

`CompositesIndex.IndexedEntry`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.index.AbstractSimplePerColumnSecondaryIndex

`columnDef, indexCfs`

### Fields inherited from class org.apache.cassandra.db.index.SecondaryIndex

`baseCfs, columnDefs, CUSTOM_INDEX_OPTION_NAME, INDEX_ENTRIES_OPTION_NAME, INDEX_KEYS_OPTION_NAME, INDEX_VALUES_OPTION_NAME, keyComparator, logger`

### Constructor Summary

Constructors
Constructor and Description
`CompositesIndexOnCollectionKey()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.nio.ByteBuffer` `getIndexedValue(java.nio.ByteBuffer rowKey, Cell cell)`
`protected AbstractType<?>` `getIndexKeyComparator()`
`boolean` `isStale(CompositesIndex.IndexedEntry entry, ColumnFamily data, long now)`
`boolean` `supportsOperator(Operator operator)` Returns true if the index supports lookups for the given operator, false otherwise.

### Methods inherited from class org.apache.cassandra.db.index.composites.CompositesIndexIncludingCollectionKey

`buildIndexComparator, decodeEntry, indexes, makeIndexColumnPrefix`

### Methods inherited from class org.apache.cassandra.db.index.composites.CompositesIndex

`create, createSecondaryIndexSearcher, delete, getExpressionComparator, getIndexComparator, getIndexComparator, makeIndexColumnName, validateOptions`

### Methods inherited from class org.apache.cassandra.db.index.AbstractSimplePerColumnSecondaryIndex

`delete, deleteForCleanup, estimateResultRows, expressionString, forceBlockingFlush, getIndexCfs, getIndexName, init, insert, invalidate, reload, removeIndex, truncateBlocking, update, validate`

### Methods inherited from class org.apache.cassandra.db.index.PerColumnSecondaryIndex

`getNameForSystemKeyspace, validate`

### Methods inherited from class org.apache.cassandra.db.index.SecondaryIndex

`buildIndexAsync, buildIndexBlocking, createInstance, getBaseCfs, getColumnDefs, getIndexKeyFor, indexes, isIndexBuilt, isQueryable, setIndexBuilt, setIndexRemoved, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompositesIndexOnCollectionKey

    public CompositesIndexOnCollectionKey()

### Method Detail

#### getIndexKeyComparator

    protected AbstractType<?> getIndexKeyComparator()

Overrides:
  `getIndexKeyComparator` in class `AbstractSimplePerColumnSecondaryIndex`

#### getIndexedValue

    protected java.nio.ByteBuffer getIndexedValue(java.nio.ByteBuffer rowKey,
                                                  Cell cell)

Specified by:
  `getIndexedValue` in class `AbstractSimplePerColumnSecondaryIndex`

#### supportsOperator

    public boolean supportsOperator(Operator operator)

Description copied from class: `SecondaryIndex`
Returns true if the index supports lookups for the given operator, false otherwise.

Overrides:
  `supportsOperator` in class `SecondaryIndex`

#### isStale

    public boolean isStale(CompositesIndex.IndexedEntry entry,
                           ColumnFamily data,
                           long now)

Specified by:
  `isStale` in class `CompositesIndex`